BuildPreReq: jpackage-1.4-compat
%def_enable bootstrap

Name: jaxen
Version: 1.1
Release: alt0.4beta2

Summary: An XPath engine written in Java
License: Open Source
Url: http://jaxen.codehaus.org/

Group: Development/Java
Source0: jaxen-1.1-beta-2-src.tar.gz
# cvs -d :pserver:anonymous@cvs.jaxen.codehaus.org:/home/projects/jaxen/scm login
# cvs -z3 -d :pserver:anonymous@cvs.jaxen.codehaus.org:/home/projects/jaxen/scm export -r jaxen-1-1-beta-2 jaxen
Source1: jaxen-1.1-beta-2-doc.tar.gz

# Needed for bootstrap
Source2: dom4j-core-1.4-dev-8.jar
# docs converted with "maven xdoc:transform"
Patch0: jaxen-1.1-jdom-DocumentNavigator.patch
Patch1: jaxen-1.1-dom-NamespaceNode.patch
Patch2: %name-build.patch

Requires: jdom jaxp_parser_impl jaxp_transform_impl
%if_disabled bootstrap
Requires: dom4j
%endif

BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit jdom jaxp_parser_impl jaxp_transform_impl
%if_disabled bootstrap
BuildRequires: dom4j
%endif

BuildArch: noarch

%description
Jaxen is an XPath engine written in Java to work against a variety of XML
based object models such as DOM, dom4j and JDOM together with Java
Beans.

%package manual
Summary: Documents for %name
Group: Development/Java

%description manual
%summary.

%package demo
Summary: Samples for %name
Group: Development/Java
Requires: jaxen = %version-%release

%description demo
%summary.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
%summary.

%prep
%setup -q -n %name-%version-beta-2
find . -name "*.jar" -exec rm -f {} \;

mkdir -p src/conf
cat >> src/conf/MANIFEST.MF << EOF
Manifest-Version: 1.0
Created-By: Ant 1.6
EOF

%patch0 -b .sav
%patch1
%patch2

%if_enabled bootstrap
%__install -m644 %SOURCE2 .
%endif

%build
CLASSPATH=\
%_javadir/jdom.jar:\
%_javadir/junit.jar:\
%_javadir/jaxp_parser_impl.jar:\
%_javadir/jaxp_transform_impl.jar:\
target/classes:target/test-classes

%if_enabled bootstrap
export CLASSPATH=$CLASSPATH:dom4j-core-1.4-dev-8.jar
%else
export CLASSPATH=$CLASSPATH:%_javadir/dom4j.jar
%endif

%__ant -Dbuild.sysclasspath=only jar javadoc

gzip -dc %SOURCE1 | tar -xf -

%install
%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name,%_datadir/%name/samples}

# jars
%__install -m 644 target/jaxen-1.1-beta-2-dev.jar \
%buildroot%_javadir/%name.jar

# javadoc
%__cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

# demo
%__cp -pr src/java/samples/* %buildroot%_datadir/%name/samples

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%_javadir/*

%files manual
%defattr(0644,root,root,0755)
%doc target/docs/*

%files javadoc
%defattr(0644,root,root,0755)
%_javadocdir/%name

%files demo
%defattr(0644,root,root,0755)
%_datadir/%name

%changelog
* Mon Apr 30 2007 Igor Vlasenko <viy@altlinux.ru> 1.1-alt0.4beta2
- added JPackage compat stuff

* Fri Mar 24 2006 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt0.3beta2
- Fix typo in requires of javadoc package

* Wed Mar 22 2006 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt0.2beta2
- Fix build with j2se1.5

* Sat Apr 23 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt0.1beta2
- Initial build for ALT Linux Sisyphus

